require_relative 'lib/http-log-analyzer/version'

Gem::Specification.new do |s|
  s.name          = 'http-log-analyzer'
  s.version       = HTTPLogAnalyzer::VERSION
  s.author        = 'John Labovitz'
  s.email         = 'johnl@johnlabovitz.com'

  s.summary       = %q{Analyze HTTP log files.}
  # s.description   = %q{}
  s.homepage      = 'http://github.com/jslabovitz/http-log-analyzer'
  s.license       = 'MIT'

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map { |f| File.basename(f) }
  s.require_path  = 'lib'

  s.add_dependency 'addressable', '~> 2.5'
  s.add_dependency 'geoip', '~> 1.6'
  s.add_dependency 'http-log-parser', '~> 0'
  s.add_dependency 'mime-types', '~> 3.1'
  s.add_dependency 'simple_option_parser', '~> 0.3'
  s.add_dependency 'user_agent_parser', '~> 2.4'

  s.add_development_dependency 'rake', '~> 12.3'
  s.add_development_dependency 'rubygems-tasks', '~> 0.2'
end